# tcloud-test-cli
>>>
modify by https://github.com/transitive-bullshit/create-react-library
#### 安装cli工具
```bash
npm i tcloud-test-cli -g
```
#### 创建一个组件
```bash
tcloud
```

## 开发

本地开发分为两个部分.

首先, 你可以运行rollup去监听你的`src/`模块, 当你有任何更改会自动编译到`dist/`

```bash
npm start # 运行rollup和监听更改
```

然后, 在本地开发中需要在`example/`目录中链接你的模块

```bash
# (打开新的终端窗口中)
cd example
npm link <your-module-name> # 如果使用yarn可以跳过这步
npm start # 运行 create-react-app dev server 可以开你的示例程序
```

现在, 当你对库的`src/`目录或演示程序的`example/src`目录有任何更改, `create-react-app`会重新加载本地开发服务, 这样就能很愉快的对你的组件进行快速开发迭代.

#### 发布到NPM

将库发布到 **npm** 时请务必要确保所有的依赖模块已经正确添加在了`peerDependencies`中, rollup会自动识别`peerDependencies`配置选项, 而不会将它捆绑在你的模块中(或者可以叫他外部依赖).

然后就可以愉快的发布拉

```bash
# 注意下面的命令会编译`commonjs`和`es`的版本到你模块的dist/目录中
npm publish
```


#### Github Pages

将示例部署到github pages相当简单, 我们需要先给example编译一个生产版本, 这个example用于演示你的库. 然后运行gh-pages来部署生成的bundle文件到github.

```bash
npm run deploy
```

## License

MIT © [Travis Fischer](https://github.com/transitive-bullshit)
